hc-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Oleg Kalnichevski <ol...@apache.org>
Subject Re: Maven prerequisites are not inherited
Date Mon, 17 Jun 2013 16:25:34 GMT
On Mon, 2013-06-17 at 15:41 +0100, sebb wrote:
> Maven prerequisites are not inherited [1], so the entry in the parent
> pom does not affect child builds.
> 
> Unfortunately it looks like one cannot use a property for the version,
> so it might be necessary to add the prerequisites section to every
> POM.
> Or perhaps use the enforcer plugin?
> 
> [1] http://jira.codehaus.org/browse/MNG-2423
> 

Looks like the enforcer plugin is the only realistic choice if want to
enforce a minimal Maven version in all modules.

Oleg 



---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@hc.apache.org
For additional commands, e-mail: dev-help@hc.apache.org


Mime
View raw message